This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1264139 - Correct systemd file
Correct systemd file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sslh (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: James Hogarth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 11:17 EDT by James Hogarth
Modified: 2015-10-03 13:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: sslh-1.17-4.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1260026
Environment:
Last Closed: 2015-10-03 13:55:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Hogarth 2015-09-17 11:17:35 EDT
+++ This bug was initially created as a clone of Bug #1260026 +++

Description of problem:

This fixes in #1221320 introduced a bug in the systemd file.

Instead

ExecStart=/usr/sbin/sslh ${DAEMON_OPTS}

it should be read:

ExecStart=/usr/sbin/sslh $DAEMON_OPTS

You can't use brackets in systemd files.

The service won't start like that.

Version-Release number of selected component (if applicable):

# rpm -qi sslh                                                                                                       
Name        : sslh
Version     : 1.17
Release     : 2.el7



How reproducible:

Always

Steps to Reproduce:
1. install
2. configure
3. try to start and get

Sep  4 10:37:51 foo sslh: config:  /etc/sslh.cfg
Sep  4 10:37:51 foo systemd: sslh.service: main process exited, code=exited, status=4/NOPERMISSION


Actual results:

Service does not start

Expected results:

Service should start.

--- Additional comment from Kai Reichert on 2015-09-06 14:35:43 EDT ---

Yes, removing the braces around DAEMON_OPTS fixes the problem.
Please release a new package version.
Comment 1 Fedora Update System 2015-09-17 11:42:50 EDT
sslh-1.17-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16110
Comment 2 Fedora Update System 2015-09-17 17:29:30 EDT
sslh-1.17-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update sslh'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16110
Comment 3 Fedora Update System 2015-10-03 13:55:31 EDT
sslh-1.17-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.